=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,compression=gzip,\
pretty=1.0.1+%cd,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto,repacksuffix=~dfsg \
https://github.com/mikolalysenko/functional-red-black-tree \
HEAD
